with Names;

package HW_Simulation is

   use Names;

   function Spurious_Error_Injection return Boolean;

   procedure Receive_HW_Signals (
      UnId : Unit_ID_T;
      BrId : Branch_ID_T;
      Is_Switch_Off : Boolean );

   function Powered (
      UnId : Unit_ID_T;
      BrId : Branch_ID_T )
   return Boolean;

   procedure Receive_TC (
      UnId : Unit_ID_T;
      BrId : Branch_ID_T;
      TC : TC_ID_T );

   function Event_Generated (
      UnId : Unit_ID_T;
      BrId : Branch_ID_T;
      Event : Event_ID_T )
   return Boolean;

   function Spurious_LOA_Error (
      UnId : Unit_ID_T;
      BrId : Branch_ID_T )
   return Boolean;

   function Receive_Command (
      UnId : Unit_ID_T;
      BrId : Branch_ID_T )
   return Boolean;

   function Get_Sensor_Data (
      UnId : Unit_ID_T;
      BrId : Branch_ID_T )
   return Boolean;

end HW_Simulation;
